package serializer

import (
	"fonchain-artshow/cmd/model"
	"fonchain-artshow/pb/artShow"
)

func BuildShowApply(in *artShow.SaveApplyReq) (out *model.ShowApply) {
	out = new(model.ShowApply)
	out.ApplyUID = in.ApplyUID
	out.Status = int(in.Status)
	out.Applicant = in.Applicant
	out.ApplicantID = in.ApplicantID
	out.Num = in.Num
	out.ApplyTime = in.ApplyTime
	out.Remark = in.Remark

	return
}

func BuildShowApplyRes(in *model.ShowApply) (out *artShow.ApplyDetail) {
	out = new(artShow.ApplyDetail)

	out.ApplyUID = in.ApplyUID
	out.ApplySeq = in.ApplySeq
	out.Applicant = in.Applicant
	out.ApplicantID = in.ApplicantID
	out.Num = in.Num
	out.ApplyTime = in.ApplyTime
	out.Status = int32(in.Status)
	out.Remark = in.Remark

	return
}
